
Foreman - Bug #4468

Host page says "Reports from the last <blank> days" with reports only from the last day

02/27/2014 10:13 AM - Dominic Cleal

Status: Closed   

Priority: Low   

Assignee: Ondřej Pražák   

Category: Web Interface   

Target version: 1.9.1   

Difficulty: easy Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2578

  

Description

When there are only reports from within the last 24h for a given host, visiting the host show page for it will say at the top:

"Reports from the last <blank dropdown menu> days - 2 reports found"

Even though there are reports from within the last day, the dropdown menu doesn't list "1" as the first and only value.

This is clear on an initial installation of Foreman where you have a single report from the Foreman host itself.

(https://bugzilla.redhat.com/show_bug.cgi?id=1070400)

Associated revisions

Revision 8af7d0e1 - 08/03/2015 09:24 AM - Ondřej Pražák

Fixes #4468 - Dropdown shows '1' when all reports within last 24 hours

Revision d2c5fc88 - 09/09/2015 10:51 AM - Ondřej Pražák

Fixes #4468 - Dropdown shows '1' when all reports within last 24 hours

(cherry picked from commit 8af7d0e1d5f187e5d277ce369522baa0938d88e8)

History

#1 - 07/27/2015 03:21 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2578 added

#2 - 08/03/2015 09:24 AM - Dominic Cleal

- Assignee set to Ondřej Pražák

- translation missing: en.field_release set to 72

#3 - 08/03/2015 10:01 AM - Ondřej Pražák

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 8af7d0e1d5f187e5d277ce369522baa0938d88e8.
